Subject: Re: [Monotone-devel] Re: [RFC] mtn to git conversion script

From: Jakub Narebski <[email-masked]>
Date: Thu, 04 Sep 2008 03:31:52 -0700 (PDT)

"Felipe Contreras" <[email-masked]> writes:

> Ok, now the basics seem to be working. So I'm uploading some code if
> anyone wants to take a look.
> 
> The C code is generating a topologically sorted list of revisions, and
> storing the relevant information (certs and parents) separately. This
> code is very fast. It's using GLib and sqlite3, so probably the GLib
> stuff should be converted to use libgit.
> http://gist.github.com/8742
> 
> The Ruby code takes that input and generates an output suitable for
> fast-import. It would be tedious to port the parsing stuff to C, but
> straightforward.
> http://gist.github.com/8740
> 
> A patch for fast-import is required, I already submitted it.
> 
> Comments?

If you feel like it is good enough, could you add information about
this tool to Git Wiki:
  http://git.or.cz/gitwiki/InterfacesFrontendsAndTools
in the "Interaction with other Revision Control Systems" section?

TIA
-- 
Jakub Narebski
Poland
ShadeHawk on #git